Bug 1269646 - blivet.errors.LUKSError: luks device not configured
blivet.errors.LUKSError: luks device not configured
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vojtech Trefny
Fedora Extras Quality Assurance
abrt_hash:cb40b2f1c494ad61f1290c587d6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 16:16 EDT by woky
Modified: 2015-10-15 03:57 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-24.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-15 03:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (599.45 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: anaconda.log (23.21 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: dnf.log (6.87 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: environ (459 bytes, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: lsblk_output (3.37 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: nmcli_dev_list (1.33 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: os_info (451 bytes, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: program.log (139.61 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: storage.log (218.55 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: syslog (128.46 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: ifcfg.log (2.10 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details
File: packaging.log (1.51 KB, text/plain)
2015-10-07 16:16 EDT, woky
no flags Details

  None (edit)
Description woky 2015-10-07 16:16:16 EDT
Description of problem:
Started the installation. Proceeded to the INSTALLATION SUMMARY screen. Following entries on the screen then took very long time to process (activate):

INSTALLATION SOURCE
SOFTWARE SELECTION
INSTALLATION DESTINATION

See the "disk space caching is enabled" in attached dmesg. I could hear the disks comprising my btrfs RAID1 (mounted via /dev/sdc). It sounded like the installator was traversing all files in it. I wonder why. Finally, the red label saying something like "No storage found" appeared under the INSTALLATION DESTIONATION entry. I opened the entry, selected my SSD disk (encrypted via LUKS), clicked Done, clicked Cancel, deselected the SSD disk and then clicked Done. Red label now said "No disks selected" and after a little while the error occurred. The filesystem doesn't have any subvolumes.

The INSTALLATION SOURCE entry became active just after INSTALLATION DESTIONATION became active. It shouldn't depend on existing filesystems, should it?

Version-Release number of selected component:
anaconda-23.19.4-1

The following was filed automatically by anaconda:
anaconda 23.19.4-1 exception report
Traceback (most recent call first):
  File "/tmp/updates/blivet/formats/luks.py", line 183, in _preSetup
    raise LUKSError("luks device not configured")
  File "/tmp/updates/blivet/formats/__init__.py", line 480, in setup
    if not self._preSetup(**kwargs):
  File "/tmp/updates/blivet/populator.py", line 847, in handleUdevLUKSFormat
    device.format.setup()
  File "/tmp/updates/blivet/populator.py", line 1470, in handleUdevDeviceFormat
    self.handleUdevLUKSFormat(info, device)
  File "/tmp/updates/blivet/populator.py", line 764, in addUdevDevice
    self.handleUdevDeviceFormat(info, device)
  File "/tmp/updates/blivet/populator.py", line 1695, in _populate
    self.addUdevDevice(dev)
  File "/tmp/updates/blivet/populator.py", line 1623, in populate
    self._populate()
  File "/tmp/updates/blivet/devicetree.py", line 554, in populate
    self._populator.populate(cleanupOnly=cleanupOnly)
  File "/tmp/updates/blivet/blivet.py", line 279, in reset
    self.devicetree.populate(cleanupOnly=cleanupOnly)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 361, in _doExecute
    self.storage.reset()
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
blivet.errors.LUKSError: luks device not configured

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-WS-23_B-x86_64 rd.live.check quiet updates=https://vtrefny.fedorapeople.org/img/btrfs.img
dnf.rpm.log:    Oct 07 19:56:17 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.0-300.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 woky 2015-10-07 16:16:22 EDT
Created attachment 1080805 [details]
File: anaconda-tb
Comment 2 woky 2015-10-07 16:16:24 EDT
Created attachment 1080806 [details]
File: anaconda.log
Comment 3 woky 2015-10-07 16:16:26 EDT
Created attachment 1080807 [details]
File: dnf.log
Comment 4 woky 2015-10-07 16:16:27 EDT
Created attachment 1080808 [details]
File: environ
Comment 5 woky 2015-10-07 16:16:29 EDT
Created attachment 1080809 [details]
File: lsblk_output
Comment 6 woky 2015-10-07 16:16:30 EDT
Created attachment 1080810 [details]
File: nmcli_dev_list
Comment 7 woky 2015-10-07 16:16:32 EDT
Created attachment 1080811 [details]
File: os_info
Comment 8 woky 2015-10-07 16:16:34 EDT
Created attachment 1080812 [details]
File: program.log
Comment 9 woky 2015-10-07 16:16:37 EDT
Created attachment 1080813 [details]
File: storage.log
Comment 10 woky 2015-10-07 16:16:40 EDT
Created attachment 1080814 [details]
File: syslog
Comment 11 woky 2015-10-07 16:16:41 EDT
Created attachment 1080815 [details]
File: ifcfg.log
Comment 12 woky 2015-10-07 16:16:43 EDT
Created attachment 1080816 [details]
File: packaging.log
Comment 13 Vojtech Trefny 2015-10-14 04:42:43 EDT
Pull request: https://github.com/rhinstaller/blivet/pull/246

updates.img: https://vtrefny.fedorapeople.org/img/luks.img

Note You need to log in before you can comment on or make changes to this bug.